% Copyright (c) 2015, Imperial College London 
% All rights reserved.

result={};
M = 2; % number of processing stations
R = 4; % number of classes
sc = 2; % population scale parameter 
nLD = 1; % number of load-dependent stations
Bset=[1:14]; % optional load-dependent functions
j = 1; % number for random generation
for b=Bset % benchmarks
    [M,R,b,j,sc,nLD]
    L = gallery('integerdata',100,[M,R],j);
    [M,R] = size(L);
    N=sc*ones(1,R);
    %%
    f = @(n) ones(M,1);
    if nLD==M & b>0
        F = @(n) test_bcmppade_bench_3auxM(n,bcmppade_sigme_bench(b));
    elseif nLD==1 & b>0
        F = @(n) test_bcmppade_bench_3aux(n,bcmppade_sigme_bench(b));
    else
        F = @(n) ones(M,R);
    end
    [Qap,Xap] = amvaqd(L,N,f,F)
end

